
package jerarquiaherencia;

public abstract class Publicacion {
    private String titulo;
    private String autor;
    private int precio;
    
    protected abstract void setExtension(Object informacionExtension);
    
    protected abstract Object getExtension();

    public String getTitulo() {
        return titulo;
    }

    public void setTitulo(String titulo) {
        this.titulo = titulo;
    }

    public String getAutor() {
        return autor;
    }

    public void setAutor(String autor) {
        this.autor = autor;
    }

    public int getPrecio() {
        return precio;
    }

    public void setPrecio(int precio) {
        this.precio = precio;
    }   
}
